import Vue from 'vue'

// maybe in future possible to use inside zhweb-cms
const parmsList = window.location.search.replace(/^[?]/, '').split('&')
const parms = {}
for (const parm of parmsList) {
  const keyValue = parm.split('=')
  parms[keyValue[0]] = keyValue[1] === 'true' ? true : (keyValue[1] === 'false' ? false : keyValue[1])
}
Vue.prototype.$urlparams = parms

import { zhutils } from './utils.js'
Object.freeze(zhutils)
Vue.prototype.$zhutils = zhutils

// globals
import { zhicons } from '../media/zhicons/icons.js'
Object.freeze(zhicons)
Vue.prototype.$zhicons = zhicons

const zhcolors = {
  zhblue: '#0076BD',
  zhdarkblue: '#00407C',
  zhturquoise: '#00797B',
  zhgreen: '#1A7F1F',
  zhbordeaux: '#B01657',
  zhmagenta: '#D40053',
  zhviolet: '#7F3DA7',

  // quasar ov
  primary: '#009ee0',           // zhweb for control elements !!! do not change !!!
  positive: '#1a7f1f',          // zhweb grün
  negative: '#e2001a',           // zhweb rot

  zhblack100: '#000000',
  zhblack80: '#333333',
  zhblack60: '#666666',
  zhblack40: '#949494',
  zhblack20: '#cccccc',
  zhblack10: '#f0f0f0',
  zhblack5: '#f7f7f7',
  zhwhite: '#FFFFFE'
}
Vue.prototype.$zhcolors = zhcolors

export { zhcolors }

import { colors } from 'quasar'
const { setBrand } = colors

for (const color of Object.keys(zhcolors)) {
  setBrand(color, zhcolors[color])
}

const zhuicolors = {
  active: '#000000',          // zhweb
  disabled: '#d9d9d9',        // zhweb
  inactive: 'rgba(0,0,0,.1)', // zhweb
}
for (const color of Object.keys(zhuicolors)) {
  setBrand(color, zhuicolors[color])
}

// same as css/quasar.variables.styl
import { Screen } from 'quasar'
Screen.setSizes({ xs: 320, sm: 600, md: 840, lg: 1024, xl: 1280 })
